package com.nantian.cloud.dbcapp.tool;

import org.springframework.stereotype.Component;

import java.util.HashMap;

@Component
public class AreaCode {
    private static HashMap<String,String> areaMapA = new HashMap<>();
    private static HashMap<String,String> areaMapB = new HashMap<>();
    static {
        areaMapA.put("云南","53");
        areaMapA.put("昆明","5301");
        areaMapA.put("曲靖","5303");
        areaMapA.put("玉溪","5304");
        areaMapA.put("保山","5305");
        areaMapA.put("昭通","5306");
        areaMapA.put("丽江","5307");
        areaMapA.put("普洱","5308");
        areaMapA.put("临沧","5309");
        areaMapA.put("楚雄","5323");
        areaMapA.put("红河","5325");
        areaMapA.put("文山","5326");
        areaMapA.put("版纳","5328");
        areaMapA.put("大理","5329");
        areaMapA.put("德宏","5331");
        areaMapA.put("怒江","5333");
        areaMapA.put("迪庆","5334");
        areaMapB.put("53","云南");
        areaMapB.put("5300","其他");
        areaMapB.put("5301","昆明");
        areaMapB.put("5303","曲靖");
        areaMapB.put("5304","玉溪");
        areaMapB.put("5305","保山");
        areaMapB.put("5306","昭通");
        areaMapB.put("5307","丽江");
        areaMapB.put("5308","普洱");
        areaMapB.put("5309","临沧");
        areaMapB.put("5323","楚雄");
        areaMapB.put("5325","红河");
        areaMapB.put("5326","文山");
        areaMapB.put("5328","版纳");
        areaMapB.put("5329","大理");
        areaMapB.put("5331","德宏");
        areaMapB.put("5333","怒江");
        areaMapB.put("5334","迪庆");
    }
    public HashMap<String, String> getAreaMapA() {
        return areaMapA;
    }
    public HashMap<String, String> getAreaMapB() { return areaMapB; }
}
